
import * as react from "react";

//#region src/components/client/Radio/RadioGroupStore.d.ts
type RadioGroupStoreOnChange = (value: string | undefined) => void;
/**
 * A store for a single RadioGroup. This store is used to manage the state of all Radios within a group.
 */
declare class RadioGroupStore {
  #private;
  name: string;
  value?: string;
  activeCount: number;
  constructor(name: string);
  onChange(cb: RadioGroupStoreOnChange): () => void;
  setValue(value: string | undefined): void;
  static findOrCreate(radioGroupStores: Map<string, RadioGroupStore>, name: string): RadioGroupStore;
}
declare const RadioGroupContext: react.Context<RadioGroupStore | Map<string, RadioGroupStore>>;
//#endregion
export { RadioGroupContext, RadioGroupStore };